/********************************************************************************
  * @file    KB_4x4.h																														*
  * @author  PLUM, Maciej Szumski																								*
  * @version V1.0																																*
  * @date    12-February-2016																										*
  * @brief   This file contains all the functions prototypes for the KAmodKB4x4	*
  *******************************************************************************/
	#include "stm32f10x.h"
	#include ".\..\Drivers\LCD1602\lcd_1602.h"
	extern unsigned char key_buffer[];  			// deklaracja tablicy
	extern volatile unsigned int key_pointer; // numer elementu w tablicy 'KB2mem'
	extern unsigned char KB2mem[]; 						// bufor funkcji get_str

// odczytuje stan klawiszy: identyfikuje wcisniety, zwraca kod ASCII ------------
char KB2char(void);

// pobiera znaki i wpisuje do bufora 'key_buffer' -------------------------------
unsigned char get_char(void);
void get_str(void);
void LCD_getString(unsigned char * text); // wczesniej komunikat do LCD

/**************** (C) COPYRIGHT 2016 PLUMicroelectronics *****END OF FILE******/


